#order handler for bug in QListWidget

from PyQt4.QtCore import *
from PyQt4.QtGui import *

#Event filter
class listWidgetOrderEventFilter(QObject):
    orderChanged = pyqtSignal()

    def eventFilter(parent,  obj,  event):
        if event.type() == QEvent.ChildRemoved:
            obj.emit(SIGNAL("orderChanged()"))
            print 'List order changed .. changing surface order to match!\n'

            return True
            
        return False

